# Method System.NetUserGetInfo()

Method NetUserGetInfo

  ``string`|`array`(`string`|`int`) NetUserGetInfo(`string` `username`, `string`|`int(0..0)` `server`, `int`|`void` `level`)`

Description

  Get information about a network user.

Parameter `username`

  User name of the user to get information about.

Parameter `server`

  Server the user exists on.

Parameter `level`

  Information level. One of:

  ``0``
  ``1``
  ``2``
  ``3``
  ``10``
  ``11``
  ``20``

Returns

  Returns an array on success. Throws errors on failure.

FIXME

  Document the return value.

Note

  This function is only available on some Win32 systems.

See also

  NetUserEnum(), NetGroupEnum() NetLocalGroupEnum(), NetUserGetGroups(), NetUserGetLocalGroups(), NetGroupGetUsers(), NetLocalGroupGetMembers(), NetGetDCName(), NetGetAnyDCName()